import request from '@/utils/request'
const service_name = "oil-identity"
const group_name = "weChatAuthorization"
export default {
	loginPwd (data,type) {
	  return request({
	    url: `/${service_name}/${group_name}/loginByPhonePwd${type}`,
	    method: 'post',
		   data:data
	  })
	},
	loginByPhoneNext (data,type) {
	  return request({
	    url: `/${service_name}/${group_name}/loginByPhoneNext${type}`,
	    method: 'post',
		   data:data
	  })
	},
	loginRandom (data,type) {
	  return request({
	    url: `/${service_name}/${group_name}/verifyCodeLogin${type}`,
	    method: 'post',
		   data:data
	  })
	},
	getRegisterRandom (data) {
     return request({
       url: `/${service_name}/${group_name}/getVerifyCode`,
       method: 'post',
	   data:data
     })
   },
   userRegister (data) {
     return request({
       url: `/${service_name}/${group_name}/verifyCodeRegister`,
       method: 'post',
   	   data:data
     })
   },
  checkPersonalAccount (data) {
     return request({
       url: `/${service_name}/${group_name}/verifyCodeLoginCheckAccountPersonal`,
       method: 'post',
	   data:data
     })
   },
   checkCompanyAccount (data) {
      return request({
        url: `/${service_name}/${group_name}/verifyCodeLoginCheckAccountCompany`,
        method: 'post',
   	   data:data
      })
    },
	checkPersonalPWD (data) {
	   return request({
	     url: `/${service_name}/${group_name}/verifyCodeLoginPersonal`,
	     method: 'post',
		   data:data
	   })
	 },
	 checkCompanyPWD (data) {
	    return request({
	      url: `/${service_name}/${group_name}/verifyCodeLoginCheckAccountCompany`,
	      method: 'post',
	 	   data:data
	    })
	  },
	bindLoginByPhone (data) {
	   return request({
	     url: `/${service_name}/${group_name}/bindLoginByPhone`,
	     method: 'post',
	     data:data
	   })
	 },

}
